import java.net.*;
import java.io.*;

/**
 * Ogsaa hugget - dennegang fra KKMultiserverThread
 */
public class MultiServerTraad extends Thread {
    private Socket socket = null;

    public MultiServerTraad(Socket socket) {
        super("MultiServerTraad");
        this.socket = socket;
    }

    public void run() {

        try {
            PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
            BufferedReader in = new BufferedReader(
                                    new InputStreamReader(
                                    socket.getInputStream()));

            String inputLine;
            out.println("Vi er klar");

            while ((inputLine = in.readLine()) != null) {
                out.println(inputLine);
                if (inputLine.equals("Bye"))
                    break;
            }
            out.close();
            in.close();
            socket.close();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

